Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.discovery
Class Constants

    java.lang.Object
      net.jini.discovery.Constants

public class Constants
extends Object

A holder class for constants that pertain to the unicast and multicast discovery protocols.

Field Summary
`static short` | `discoveryPort` The port for both unicast and multicast boot requests.

Method Summary
`static InetAddress` | `getAnnouncementAddress()` Return the address of the multicast group over which the multicast announcement protocol takes place.
`static InetAddress` | `getRequestAddress()` Return the address of the multicast group over which the multicast request protocol takes place.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### discoveryPort

    public static final short discoveryPort

  The port for both unicast and multicast boot requests.

  See Also:
    Constant Field Values

Method Detail

### getRequestAddress

    public static final InetAddress getRequestAddress()
                                               throws UnknownHostException

  Return the address of the multicast group over which the multicast request protocol takes place.

  Returns:
    the address of the multicast group over which the multicast request protocol takes place
  Throws:
    `UnknownHostException`

### getAnnouncementAddress

    public static final InetAddress getAnnouncementAddress()
                                                    throws UnknownHostException

  Return the address of the multicast group over which the multicast announcement protocol takes place.

  Returns:
    the address of the multicast group over which the multicast announcement protocol takes place.
  Throws:
    `UnknownHostException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved